//
//  ClientApp.swift
//  client-ios
//
//  Created by Hiroki Kato on 2021/08/22.
//

import SwiftUI

import Apollo

@main
struct ClientApp: App {
    var body: some Scene {
        let url = URL(string:
                        "http://localhost:4000/graphql")!
        let apolloClient = ApolloClient(url: url)
        WindowGroup {
            ContentView()
                .environment(\.apolloClient, apolloClient)
        }
    }
}
