//
//  ApolloClientKey.swift
//  client-ios
//
//  Created by Hiroki Kato on 2021/08/22.
//

import SwiftUI

import Apollo

struct ApolloClientKey: EnvironmentKey {
    static var defaultValue: ApolloClient? {
        return nil
    }
}

extension EnvironmentValues {
    var apolloClient: ApolloClient? {
        get { self[ApolloClientKey.self] }
        set { self[ApolloClientKey.self] = newValue }
    }
}
