/* tslint:disable */
/* eslint-disable */
// @ts-nocheck

import { ConcreteRequest } from "relay-runtime";
import { FragmentRefs } from "relay-runtime";
export type BlogsQueryVariables = {};
export type BlogsQueryResponse = {
    readonly " $fragmentRefs": FragmentRefs<"BlogList">;
};
export type BlogsQuery = {
    readonly response: BlogsQueryResponse;
    readonly variables: BlogsQueryVariables;
};



/*
query BlogsQuery {
  ...BlogList
}

fragment BlogList on Query {
  blogs(first: 10, after: "") {
    edges {
      node {
        id
        ...BlogListItem
        __typename
      }
      cursor
    }
    pageInfo {
      endCursor
      hasNextPage
    }
  }
}

fragment BlogListItem on Blog {
  name
}
*/

const node: ConcreteRequest = (function(){
var v0 = [
  {
    "kind": "Literal",
    "name": "after",
    "value": ""
  },
  {
    "kind": "Literal",
    "name": "first",
    "value": 10
  }
];
return {
  "fragment": {
    "argumentDefinitions": [],
    "kind": "Fragment",
    "metadata": null,
    "name": "BlogsQuery",
    "selections": [
      {
        "args": null,
        "kind": "FragmentSpread",
        "name": "BlogList"
      }
    ],
    "type": "Query",
    "abstractKey": null
  },
  "kind": "Request",
  "operation": {
    "argumentDefinitions": [],
    "kind": "Operation",
    "name": "BlogsQuery",
    "selections": [
      {
        "alias": null,
        "args": (v0/*: any*/),
        "concreteType": "BlogConnection",
        "kind": "LinkedField",
        "name": "blogs",
        "plural": false,
        "selections": [
          {
            "alias": null,
            "args": null,
            "concreteType": "BlogEdge",
            "kind": "LinkedField",
            "name": "edges",
            "plural": true,
            "selections": [
              {
                "alias": null,
                "args": null,
                "concreteType": "Blog",
                "kind": "LinkedField",
                "name": "node",
                "plural": false,
                "selections": [
                  {
                    "alias": null,
                    "args": null,
                    "kind": "ScalarField",
                    "name": "id",
                    "storageKey": null
                  },
                  {
                    "alias": null,
                    "args": null,
                    "kind": "ScalarField",
                    "name": "name",
                    "storageKey": null
                  },
                  {
                    "alias": null,
                    "args": null,
                    "kind": "ScalarField",
                    "name": "__typename",
                    "storageKey": null
                  }
                ],
                "storageKey": null
              },
              {
                "alias": null,
                "args": null,
                "kind": "ScalarField",
                "name": "cursor",
                "storageKey": null
              }
            ],
            "storageKey": null
          },
          {
            "alias": null,
            "args": null,
            "concreteType": "PageInfo",
            "kind": "LinkedField",
            "name": "pageInfo",
            "plural": false,
            "selections": [
              {
                "alias": null,
                "args": null,
                "kind": "ScalarField",
                "name": "endCursor",
                "storageKey": null
              },
              {
                "alias": null,
                "args": null,
                "kind": "ScalarField",
                "name": "hasNextPage",
                "storageKey": null
              }
            ],
            "storageKey": null
          }
        ],
        "storageKey": "blogs(after:\"\",first:10)"
      },
      {
        "alias": null,
        "args": (v0/*: any*/),
        "filters": null,
        "handle": "connection",
        "key": "BlogList_blogs",
        "kind": "LinkedHandle",
        "name": "blogs"
      }
    ]
  },
  "params": {
    "cacheID": "0f61c6205e18035892da83fa3b9b5a0e",
    "id": null,
    "metadata": {},
    "name": "BlogsQuery",
    "operationKind": "query",
    "text": "query BlogsQuery {\n  ...BlogList\n}\n\nfragment BlogList on Query {\n  blogs(first: 10, after: \"\") {\n    edges {\n      node {\n        id\n        ...BlogListItem\n        __typename\n      }\n      cursor\n    }\n    pageInfo {\n      endCursor\n      hasNextPage\n    }\n  }\n}\n\nfragment BlogListItem on Blog {\n  name\n}\n"
  }
};
})();
(node as any).hash = '4e4c9b393a9968cd37ba59f0d714b10e';
export default node;
