#!/usr/bin/env node
import * as cdk from "@aws-cdk/core";
import "source-map-support/register";
import { AppsyncStack } from "../lib/appsync-stack";

const app = new cdk.App();
new AppsyncStack(app, "AppsyncStack", {
  env: {
    account: process.env.CDK_DEFAULT_ACCOUNT,
    region: process.env.CDK_DEFAULT_REGION,
  },
});
